<?xml version="1.0" encoding="UTF-8" ?>
<odoo>
    <data noupdate="1">
        <record id="product_category_embryo_sf" model="product.category">
            <field name="name">坯料</field>
            <field name="type">坯料</field>
        </record>
        <record id="product_category_finished_sf" model="product.category">
            <field name="name">成品</field>
            <field name="type">成品</field>
        </record>

        <record id="product_category_raw_sf" model="product.category">
            <field name="name">原材料</field>
            <field name="type">原材料</field>
        </record>

        <record id="product_category_surface_technics_sf" model="product.category">
            <field name="name">表面工艺</field>
            <field name="type">表面工艺</field>
        </record>

        <record id="product_template_sf" model="product.product">
            <field name="name">CNC加工产品模板</field>
            <field name="active" eval="False"/>
            <field name="categ_id" ref="product_category_finished_sf"/>
            <field name="route_ids"
                   eval="[ref('stock.route_warehouse0_mto'), ref('mrp.route_warehouse0_manufacture')]"/>
            <field name="invoice_policy">delivery</field>
            <field name="detailed_type">product</field>
            <field name="purchase_ok">false</field>
            <field name="uom_id" ref="uom.product_uom_unit"/>
            <field name="uom_po_id" ref="uom.product_uom_unit"/>
            <field name="company_id" ref="base.main_company"/>
            <field name="single_manufacturing">true</field>
            <field name="tracking">serial</field>
            <field name="is_bfm">false</field>
        </record>
        <record id="product_embryo_sf_self_machining" model="product.product">
            <field name="name">坯料自加工模板</field>
            <field name="active" eval="False"/>
            <field name="categ_id" ref="product_category_embryo_sf"/>
            <field name="route_ids"
                   eval="[ref('stock.route_warehouse0_mto'), ref('mrp.route_warehouse0_manufacture')]"/>
            <field name="invoice_policy">delivery</field>
            <field name="detailed_type">product</field>
            <field name="purchase_ok">false</field>
            <field name="uom_id" ref="uom.product_uom_unit"/>
            <field name="uom_po_id" ref="uom.product_uom_unit"/>
            <field name="company_id" ref="base.main_company"/>
            <field name="single_manufacturing">true</field>
            <field name="tracking">serial</field>
            <field name="is_bfm">false</field>
        </record>

        <record id="product_embryo_sf_outsource" model="product.product">
            <field name="name">坯料外协加工模板</field>
            <field name="active" eval="False"/>
            <field name="categ_id" ref="product_category_embryo_sf"/>
            <field name="route_ids"
                   eval="[ref('stock.route_warehouse0_mto'), ref('purchase_stock.route_warehouse0_buy'),ref('mrp_subcontracting.route_resupply_subcontractor_mto')]"/>
            <field name="invoice_policy">delivery</field>
            <field name="detailed_type">product</field>
            <field name="purchase_ok">true</field>
            <field name="uom_id" ref="uom.product_uom_unit"/>
            <field name="uom_po_id" ref="uom.product_uom_unit"/>
            <field name="company_id" ref="base.main_company"/>
            <field name="tracking">serial</field>
            <field name="is_bfm">false</field>
        </record>
        <record id="product_embryo_sf_purchase" model="product.product">
            <field name="name">坯料采购模板</field>
            <field name="active" eval="False"/>
            <field name="categ_id" ref="product_category_embryo_sf"/>
            <field name="route_ids"
                   eval="[ref('stock.route_warehouse0_mto'), ref('purchase_stock.route_warehouse0_buy')]"/>
            <field name="invoice_policy">delivery</field>
            <field name="detailed_type">product</field>
            <field name="purchase_ok">true</field>
            <field name="uom_id" ref="uom.product_uom_unit"/>
            <field name="uom_po_id" ref="uom.product_uom_unit"/>
            <field name="company_id" ref="base.main_company"/>
            <field name="tracking">serial</field>
            <field name="is_bfm">false</field>
        </record>
    </data>
</odoo>